# std::unordered_set<Key,Hash,KeyEqual,Allocator>::hash_function

From cppreference.com
< cpp‎ | container‎ | unordered set

hasher hash_function() const; |  | (since C++11)

Returns the function that hashes the keys.

### Parameters

(none)

### Return value

The hash function.

### Complexity

Constant.

### See also

key_eq | returns the function used to compare keys for equality (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_set/hash_function&oldid=50786"